Open Bug 1480278 Opened Last year Updated Last year

Categories

(Core :: Layout, defect, P5)

defect

Tracking

()

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled][wptsync upstream error])

Attachments

(1 file, 1 obsolete file)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=191495425&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/QKbUnJ0FQe-x8P6tA7FVPA/runs/0/artifacts/public/logs/live_backing.log

https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/QKbUnJ0FQe-x8P6tA7FVPA/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1&only_show_unexpected=1

[task 2018-08-02T00:27:12.561Z] 00:27:12     INFO - TEST-START | /css/css-backgrounds/border-image-017.xht
[task 2018-08-02T00:27:12.569Z] 00:27:12     INFO - PID 6378 | 1533169632562	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-017.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-08-02T00:27:12.585Z] 00:27:12     INFO - PID 6378 | 1533169632578	Marionette	DEBUG	[6442450945] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/border-image-017.xht
[task 2018-08-02T00:27:12.593Z] 00:27:12     INFO - PID 6378 | ++DOMWINDOW == 94 (0x7f64f4855400) [pid = 6504] [serial = 94] [outer = 0x7f64f9680660]
[task 2018-08-02T00:27:12.650Z] 00:27:12     INFO - PID 6378 | 1533169632643	Marionette	DEBUG	[6442450945] flushRendering false
[task 2018-08-02T00:27:12.658Z] 00:27:12     INFO - PID 6378 | 1533169632652	Marionette	INFO	Found 7296 pixels different, maximum difference per channel 255
[task 2018-08-02T00:27:12.719Z] 00:27:12     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-017.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-017.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
In the last 7 days, there have been 32failures.

Most of the failures are on linux64 and linux32, a few on linux64-ccov and linux64-qr.
Affected build types: debug and asan.

An example of a recent log file:
https://treeherder.mozilla.org/logviewer.html#?job_id=193422730&repo=autoland&lineNumber=20109

And the relevant part of the log:
task 2018-08-11T08:34:45.649Z] 08:34:45     INFO - TEST-START | /css/css-backgrounds/border-image-017.xht
[task 2018-08-11T08:34:45.657Z] 08:34:45     INFO - PID 6445 | 1533976485649	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-017.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-08-11T08:34:45.758Z] 08:34:45     INFO - PID 6445 | 1533976485756	Marionette	DEBUG	[6442450945] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/border-image-017.xht
[task 2018-08-11T08:34:45.766Z] 08:34:45     INFO - PID 6445 | ++DOMWINDOW == 94 (0x7fa69f7c1000) [pid = 6578] [serial = 94] [outer = 0x7fa6bab59000]
[task 2018-08-11T08:34:45.822Z] 08:34:45     INFO - PID 6445 | 1533976485818	Marionette	DEBUG	[6442450945] flushRendering false
[task 2018-08-11T08:34:45.826Z] 08:34:45     INFO - PID 6445 | 1533976485824	Marionette	INFO	Found 7296 pixels different, maximum difference per channel 255
[task 2018-08-11T08:34:45.882Z] 08:34:45     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-017.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-017.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-08-11T08:34:45.882Z] 08:34:45     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,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
[task 2018-08-11T08:34:45.883Z] 08:34:45     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,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
[task 2018-08-11T08:34:45.884Z] 08:34:45     INFO - TEST-INFO took 228ms
[task 2018-08-11T08:34:45.981Z] 08:34:45     INFO - PID 6445 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2018-08-11T08:34:45.981Z] 08:34:45     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 934
[task 2018-08-11T08:34:45.985Z] 08:34:45     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: Finishing incremental GC in progress during CC: file /builds/worker/workspace/build/src/xpcom/base/nsCycleCollector.cpp, line 3696
[task 2018-08-11T08:34:46.163Z] 08:34:46     INFO - PID 6445 | 1533976486157	Marionette	INFO	Stopped listening on port 2828
[task 2018-08-11T08:34:46.396Z] 08:34:46     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.396Z] 08:34:46     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.396Z] 08:34:46     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.397Z] 08:34:46     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.397Z] 08:34:46     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.398Z] 08:34:46     INFO - PID 6445 | [Child 6578, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.419Z] 08:34:46     INFO - PID 6445 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2018-08-11T08:34:46.419Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 934
[task 2018-08-11T08:34:46.455Z] 08:34:46     INFO - PID 6445 | [Child 6508, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 934
[task 2018-08-11T08:34:46.545Z] 08:34:46     INFO - PID 6445 | --DOMWINDOW == 2 (0x7fb6fc01e400) [pid = 6542] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-08-11T08:34:46.545Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-08-11T08:34:46.569Z] 08:34:46     INFO - PID 6445 | --DOMWINDOW == 3 (0x7f637e81b800) [pid = 6508] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-08-11T08:34:46.569Z] 08:34:46     INFO - PID 6445 | --DOMWINDOW == 2 (0x7f637f1c7000) [pid = 6508] [serial = 3] [outer = (nil)] [url = about:blank]
[task 2018-08-11T08:34:46.674Z] 08:34:46     INFO - PID 6445 | --DOMWINDOW == 1 (0x7fb713f59400) [pid = 6542] [serial = 1] [outer = (nil)] [url = moz-extension://12ebf398-2793-4c15-bb7c-714da773baf0/_generated_background_page.html]
[task 2018-08-11T08:34:46.676Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.677Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.678Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.680Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.681Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.682Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.684Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.685Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.686Z] 08:34:46     INFO - PID 6445 | [Child 6542, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 564
[task 2018-08-11T08:34:46.687Z] 08:34:46     INFO - PID 6445 | --DOCSHELL 0x7fb6fc1de800 == 0 [pid = 6542] [id = {656abe0c-dfaf-4f24-a729-2d5e07a01630}]
[task 2018-08-11T08:34:46.689Z] 08:34:46     INFO - PID 6445 | --DOMWINDOW == 0 (0x7fb6fc17f400) [pid = 6542] [serial = 3] [outer = (nil)] [url = moz-extension://12ebf398-2793-4c15-bb7c-714da773baf0/_generated_background_page.html]
[task 2018-08-11T08:34:46.705Z] 08:34:46     INFO - PID 6445 | --DOMWINDOW == 1 (0x7f6396759200) [pid = 6508] [serial = 1] [outer = (nil)] [url = http://web-platform.test:8000/testharness_runner.html]

:svoisen As you are the triage owner of this component, could you please take a look at this?
Thank you!
Flags: needinfo?(svoisen)
Whiteboard: [stockwell needswork]
Gerald – When you have a moment, perhaps you can take a look?
Flags: needinfo?(svoisen) → needinfo?(gsquelart)
Saving Gerald a bit of time: All the foo-image* tests where an image appears not to be loaded are pretty likely to be the same cause as bug 1471583.
Depends on: 1471583
Flags: needinfo?(gsquelart)
Thanks Emilio, I suspected a loading issue, when seeing that sometimes the test is super slow (multiple seconds) to show the final all-green image.
I tried to reproduce it locally overnight (1554 iterations), but couldn't.

It's interesting that it only started on 2018-08-01, whereas bug 1471583 seems much older.
I'll have a look at what happened at/before that date, in case something looks suspicious...
Attached patch Disable on linux (obsolete) — Splinter Review
Attachment #9002446 - Flags: review?(jmaher)
(In reply to Narcis Beleuzu [:NarcisB] from comment #9)
> Created attachment 9002446 [details] [diff] [review]
> Disable on linux

Please don't disable this. A fix is awaiting review in bug 1471583.
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
(In reply to Emilio Cobos Álvarez (:emilio) from comment #10)
> (In reply to Narcis Beleuzu [:NarcisB] from comment #9)
> > Created attachment 9002446 [details] [diff] [review]
> > Disable on linux
> 
> Please don't disable this. A fix is awaiting review in bug 1471583.

Could we not do this? ^
Flags: needinfo?(nbeleuzu)
Flags: needinfo?(jmaher)
:emilio , sure we`ll wait and see what happens after that fix
Flags: needinfo?(nbeleuzu)
yeah, no problem- lets disable this by the 22nd if the fix isn't landed by then.
Flags: needinfo?(jmaher)
Whiteboard: [stockwell disabled] → [stockwell disable-recommended]
2 business days have gone by, lets land this to disable.
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/0971297169a6
Disable border-image-017.xht on Linux. r=jmaher
Keywords: checkin-needed
Backed out for linting failure on border-image-017.xht.ini

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=0971297169a65b6bb7728acc926e277d34c34c04&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&selectedJob=195316900&filter-searchStr=Linting%20opt%20source-test-mozlint-wptlint-gecko%20(W)

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=195316900&repo=mozilla-inbound&lineNumber=377

Backout link: https://hg.mozilla.org/integration/mozilla-inbound/rev/6fef7bc080783ae8df267bb905bb301c05e86cbd

task 2018-08-22T15:48:30.190Z]  0:19.04 ERROR Manifest /builds/worker/checkouts/gecko/testing/web-platform/meta/MANIFEST.json is outdated, use |mach wpt-manifest-update| to fix.
[task 2018-08-22T15:52:03.387Z] TEST-UNEXPECTED-ERROR | /builds/worker/checkouts/gecko/testing/web-platform/meta/MANIFEST.json:0 | css/css-backgrounds/border-image-017.xht.ini in source but not in manifest. (wpt-manifest)
[task 2018-08-22T15:52:03.387Z] TEST-UNEXPECTED-ERROR | /builds/worker/checkouts/gecko/tools/lint/wpt.yml:None | Lint process exited with return code 1 (wpt)
[task 2018-08-22T15:52:03.387Z] TEST-UNEXPECTED-ERROR | testing/web-platform/tests/css/css-backgrounds/border-image-017.xht.ini:None | Support file not in support directory (SUPPORT-WRONG-DIR)
[taskcluster 2018-08-22 15:52:03.737Z] === Task Finished ===
[taskcluster 2018-08-22 15:52:03.737Z] Unsuccessful task run with exit code: 1 completed in 663.093 seconds
Flags: needinfo?(nbeleuzu)
Created web-platform-tests PR https://github.com/web-platform-tests/wpt/pull/12625 for changes under testing/web-platform/tests
Whiteboard: [stockwell disabled] → [stockwell disabled][wptsync upstream]
This file is in the wrong directory; it should be in testing/web-platform/meta/css/css-backgrounds/border-image-017.xht.ini and should have the content

[border-image-017.xht]
  disabled: https://bugzilla.mozilla.org/show_bug.cgi?id=1480278
thanks :jgraham, I am to blame as well for r=me on the patch.  Narcis, what :jgraham said is the way to go
Whiteboard: [stockwell disabled][wptsync upstream] → [stockwell disabled][wptsync upstream error]
Upstream PR was closed without merging
Attached patch Disable on linuxSplinter Review
Attachment #9002446 - Attachment is obsolete: true
Flags: needinfo?(nbeleuzu)
Attachment #9003249 - Flags: review?(jmaher)
Comment on attachment 9003249 [details] [diff] [review]
Disable on linux

Review of attachment 9003249 [details] [diff] [review]:
-----------------------------------------------------------------

looks good!
Attachment #9003249 - Flags: review?(jmaher) → review+
Pushed by nbeleuzu@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/8aed27360bd2
Disable border-image-017.xht on Linux. r=jmaher
You need to log in before you can comment on or make changes to this bug.